Jump to content

The File-Checker (HFSLIPFC) for HFSLIP


Mim0
 Share

Recommended Posts

After I updated wmp11, the log still says the second line. I have filever.exe in hftools and running the hfslipfc.cmd as admin (win7). Am I doing something wrong, or this error message is normal?

No, it's not normal. I'll check it...

THX for reporting this! :)

new file-checker

2010-07-12
- Removed: Extracting filever.exe from SOURCE\SUPPORT\TOOLS\SUPPORT.CAB
is moved from the file-checker to the fc-extension for XP.
- Fixed: Forgotten to echo round brackets with escape-char
(follows with wrong output of file-version-check-results
to screen and to log-file)

new file-checker extension for xp:

2010-07-12
- Added: Extracting filever.exe from SOURCE\SUPPORT\TOOLS\SUPPORT.CAB
is moved from the file-checker to the fc-extension for XP.

Edited by Mim0
Link to comment
Share on other sites


new file-checker extension for xp:

2010-07-15
- Added: KB2229593 (MS10-042: Help and Support Center)
- Added: Malicious Software Removal Tool v3.9
- Removed: Malicious Software Removal Tool v3.8

Link to comment
Share on other sites

Hello. I have a winxp cd with SP3 and I installed the updates that I recommended HFSLIPFC.

The windows update tells me I need:

WindowsXP-KB941569-x86-

use the WMP9

Regards

Link to comment
Share on other sites

Hello. I have a winxp cd with SP3 and I installed the updates that I recommended HFSLIPFC.

The windows update tells me I need:

WindowsXP-KB941569-x86-

use the WMP9

Regards

Hi Trustee,

please, would you tell me the version of the following DLLs on this installation?

  • wmasf.dll
  • wmvcore.dll

I just finished also my new installation. But with WMP11. Windows-Update is satisfied.

Mimo

Edited by Mim0
Link to comment
Share on other sites

Hello. I have a winxp cd with SP3 and I installed the updates that I recommended HFSLIPFC.

The windows update tells me I need:

WindowsXP-KB941569-x86-

use the WMP9

Regards

Hi Trustee,

please, would you tell me the version of the following DLLs on this installation?

  • wmasf.dll
  • wmvcore.dll

I just finished also my new installation. But with WMP11. Windows-Update is satisfied.

Mimo

Hi

wmasf.dll 10.0.0.3802

wmvcore.dll 10.0.0.4078

Regards

Link to comment
Share on other sites

wmasf.dll 10.0.0.3802

wmvcore.dll 10.0.0.4078

Normally SP3 includes the following DLLs:

wmasf.dll 9.00.00.4503

wmvcore.dll 9.0.0.4503

But something has installed WMP10 / WMP10-DLLs on your system.

For WMP10 there is something new in KB941569:

wmasf.dll 10.0.0.4060

Can you check which update installed WMP10 / WMP10-DLLs?

CU...

Link to comment
Share on other sites

new file-checker extension for xp:

2010-07-15
- Added: KB2229593 (MS10-042: Help and Support Center)
- Added: Malicious Software Removal Tool v3.9
- Removed: Malicious Software Removal Tool v3.8

Mimo,

I found a typo with your new XP extension.

R|HF\windows-kb890830-v3.7.exe|Malicious Software Removal Tool v3.8, replaced by v3.9

H|HF\windows-kb890830-v3.8.exe|Malicious Software Removal Tool v3.9

Oops!!

M2GD

Link to comment
Share on other sites

Normally SP3 includes the following DLLs:

wmasf.dll 9.00.00.4503

wmvcore.dll 9.0.0.4503

But something has installed WMP10 / WMP10-DLLs on your system.

For WMP10 there is something new in KB941569:

wmasf.dll 10.0.0.4060

Can you check which update installed WMP10 / WMP10-DLLs?

CU...

Hi

With SP3

wmasf.dll 10.0.0.3802

wmvcore.dll 10.0.0.4078

With KB941569

wmasf.dll 10.0.0.4060

wmvcore.dll 10.0.0.4078

Edited by Trustee
Link to comment
Share on other sites

Got another bug for ya, mimo (regarding MRT). HFSLIPC still wants MRT 3.8 and flags 3.9 as unneeded. (probably related to what My2girls dad reported).

BTW, how do I permanently hide an update I don't want?

For example: 977377 breaks more than what it fixes, I want it gone for good.

Also, browser choice for EU countries doesn't apply here (I'm not in europe).

I want to exclude those FOREVER...

how?

bye!

Edit: forget about the MRT, I fixed it by correcting the typo. Still I would like to know how to exclude unwanted updates.

Edited by jvidal
Link to comment
Share on other sites

I found a typo with your new XP extension.

R|HF\windows-kb890830-v3.7.exe|Malicious Software Removal Tool v3.8, replaced by v3.9

H|HF\windows-kb890830-v3.8.exe|Malicious Software Removal Tool v3.9

Got another bug for ya, mimo (regarding MRT). HFSLIPC still wants MRT 3.8 and flags 3.9 as unneeded. (probably related to what My2girls dad reported).

Thx you both. Fix it asap... :)
Link to comment
Share on other sites

BTW, how do I permanently hide an update I don't want?

For example: 977377 breaks more than what it fixes, I want it gone for good.

Also, browser choice for EU countries doesn't apply here (I'm not in europe).

I want to exclude those FOREVER...

how?

As Parseus said, the IGNORE-section in the hfslipfc.ini is for that purpose. As an example, here is my IGNORE-section:

-------------------------------------------------
! Expected updates to be ignored
! To make it more consistent the format is
! identical to the other sections, but only
! the file (column 2) is used. In column 3 you
! should add your own remarks (but do not use
! pipe-characters and backspaces).
! For col. 2 You can also use regular-expressions
! (see help for FINDSTR). When using regular-
! expressions consider that the backslash is the
! escape-character. It has to be replaced by a
! dot. When possible use just the KB-number
! (including 'KB').
-------------------------------------------------
+IGNORE
O|kb890830|Malicious Software Removal Tool
O|HF\KB961742-v3.exe|Enable RemoteApp to XP SP3 VMs on a Windows 7 host
O|HFSVCPACK\WindowsXP-KB967715-x86.reg|Disable Autorun for all drive-types
O|HFGUIRUNONCE\UPHClean-Setup.msi|User Profile Hive Cleanup Service 1.6d
O|HFGUIRUNONCE\messenger.msi|Windows Messenger 5.1| | \ | |Ensure that Windows Messenger 5.1 is the current version 5.1.0.715
O|HF\WindowsRightsManagementServicesSP2-KB979099-Client-x86-!ln979099!.exe|Rights Management Services Client with SP2
H|HFSVCPACK_SW1\windowsxp-kb976002-v5-x86-enu.exe|Browser-choice for EU-countries
-

Link to comment
Share on other sites

Hi

With SP3

wmasf.dll 10.0.0.3802

wmvcore.dll 10.0.0.4078

With KB941569

wmasf.dll 10.0.0.4060

wmvcore.dll 10.0.0.4078

Hiho! :)

The question was, why do you have wmasf 10.x on your system and why not 9.x?

You said, you selected WMP9. Then I would expect wmasf 9.x

Link to comment
Share on other sites

I have a selected in the. Ini WM9

I have no idea which update brings the 10.x.DLLs on the system. Do you?

I think I reactivate this update for WMP9...

Hmmm...

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...